% colourtable.m

% Calculate values for table 6.1.

x = [0 0 0; 0.5 0.5 0.5; 1 1 1; 1 0 0; 1 1 0; 0 1 0;...
        0 1 1; 0 0 1; 1 0 1; 1 0.5 0.5; 0.5 1 0.5; 0.5 0.5 1];

x = reshape(x,[size(x,1) 1 3]);

y = squeeze(rgb2yuv(x))

h = squeeze(rgb2hsv(x))

figure; drawrgb([x x x])

